import request from '@/utils/request'

// 获取教程信息
export function getGuideList(data) {
  return request({
    url: '/guide/getguidelist',
    method: 'Get',
    params: data
  })
}

// 修改教程信息
export function editGuide(data) {
  return request({
    url: '/guide/updateguide',
    method: 'post',
    data
  })
}

// 上传教程信息
export function addGuide(data) {
  return request({
    url: '/guide/uploadguide',
    method: 'post',
    data
  })
}

// 禁用教程信息
export function disableGuide(data) {
  return request({
    url: '/guide/disableguide',
    method: 'post',
    data
  })
}

// 删除教程信息
export function deleteGuide(data) {
  return request({
    url: '/guide/destoryguide',
    method: 'post',
    data
  })
}

// 上传教程图片/视频
export function uploadFiles(data) {
  return request({
    url: '/guide/uploadguidefiles',
    method: 'post',
    data
  })
}
